Skip to main content
GET
/
memory
Get all memories for the authenticated user
curl --request GET \
  --url https://api.cleartalk.ai/memory \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "memories": [
      {
        "id": "1",
        "name": "Customer Support Memory",
        "created_at": "2024-01-01T00:00:00.000Z",
        "user_id": "1",
        "memory_duration": null,
        "uuid": "550e8400-e29b-41d4-a716-446655440000",
        "memory_cleartalk_id": "cleartalk_memory_123",
        "cleartalk_user_id": "cleartalk_user_123"
      }
    ],
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

page
number
limit
number
cleartalkEnabled
boolean

Response

Memories retrieved successfully

data
object